// DrawOnlineDlg.h : header file
//
//{{AFX_INCLUDES()
#include "paddraw2.h"
//}}AFX_INCLUDES

#if !defined(AFX_DRAWONLINEDLG_H__01E44F58_813F_4A5E_AF01_DA623A4A87E3__INCLUDED_)
#define AFX_DRAWONLINEDLG_H__01E44F58_813F_4A5E_AF01_DA623A4A87E3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDrawOnlineDlg dialog

class CDrawOnlineDlg : public CDialog
{
// Construction
public:
	CDrawOnlineDlg(CWnd* pParent = NULL);	// standard constructor
	CRect		m_DrawRect;
	OVR_POINT	m_pPt[MAXPTNUM];
	OVR_POINT	m_pTempPt[500];
	int			m_PtNum;
	STROKE	    m_pStroke[MAXSTROKENUM];
	int			m_StrkNum;
	BOOL		m_bDown;
	int			m_pSelNo[H1*W1];
	int			m_pSamProp[H1*W1];

	
	
public:
	void	SetHuboList();

// Dialog Data
	//{{AFX_DATA(CDrawOnlineDlg)
	enum { IDD = IDD_DRAWONLINE_DIALOG };
	CButton	m_rdInWindow;
	CButton	m_rdInSignPad;
	CPadDraw2	m_PadDraw2;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDrawOnlineDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDrawOnlineDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRecog();
	afx_msg void OnClear();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnInWindow();
	afx_msg void OnInSignpad();
	afx_msg void OnInputEndedPaddraw2();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DRAWONLINEDLG_H__01E44F58_813F_4A5E_AF01_DA623A4A87E3__INCLUDED_)
